Name:           sabnzbd
Version:        4.4.1
Release:        1%{?dist}

Summary:        The automated Usenet download tool
License:        GPLv2+
URL:            http://sabnzbd.org

BuildArch:      noarch

Source0:        https://github.com/sabnzbd/sabnzbd/releases/download/%{version}/SABnzbd-%{version}-src.tar.gz
Source1:        sabnzbd.service


BuildRequires: python3-pip
BuildRequires: systemd-rpm-macros

Requires: apprise
Requires: curl
Requires: par2cmdline
Requires: python3 >= 3.8
Requires: python3-babelfish
Requires: python3-cffi
Requires: python3-chardet
Requires: python3-cheetah
Requires: python3-cheroot
Requires: python3-cherrypy
Requires: python3-configobj
Requires: python3-cryptography
Requires: python3-dateutil
Requires: python3-feedparser
Requires: python3-guessit
Requires: python3-jaraco-classes
Requires: python3-jaraco-collections
Requires: python3-jaraco-context
Requires: python3-jaraco-functools
Requires: python3-jaraco-text
Requires: python3-more-itertools
Requires: python3-notify2
Requires: python3-portend
Requires: python3-puremagic
Requires: python3-pycparser
Requires: python3-pysocks
Requires: python3-pytz
Requires: python3-rebulk
Requires: python3-sabctools = 8.2.5
Requires: python3-sgmllib3k
Requires: python3-six
Requires: python3-tempora
Requires: python3-zc-lockfile
Requires: sqlite-libs
Requires: unrar

Recommends: unzip
Recommends: p7zip
# nice
Recommends: coreutils
# ionice
Recommends: util-linux-core
Recommends: python3-dbus
Recommends: python-orjson

%description
The automated Usenet download tool

%prep
%setup -q -n SABnzbd-%{version}

%install
%{__mkdir} --parents %{buildroot}%{_datadir}/sabnzbd
%{__cp} --recursive --preserve=all email icons interfaces licenses locale po sabnzbd tools SABnzbd.py %{buildroot}%{_datadir}/sabnzbd
install -D --mode=0644 %{SOURCE1} %{buildroot}%{_unitdir}/sabnzbd.service
install --directory --mode=0755 %{buildroot}%{_sharedstatedir}/sabnzbd
install --directory --mode=0700 %{buildroot}%{_sharedstatedir}/sabnzbd/.sabnzbd
install --directory --mode=0700 %{buildroot}%{_sharedstatedir}/sabnzbd/.sabnzbd/admin
install --directory --mode=0755 %{buildroot}%{_sharedstatedir}/sabnzbd/Downloads
install --directory --mode=0755 %{buildroot}%{_sharedstatedir}/sabnzbd/Downloads/incomplete
install --directory --mode=0755 %{buildroot}%{_sharedstatedir}/sabnzbd/Downloads/complete

%files
%doc COPYRIGHT.txt README.mkd LICENSE.txt ISSUES.txt INSTALL.txt GPL2.txt GPL3.txt
%defattr(-, root, root, -)
%{_datadir}/sabnzbd
%{_unitdir}/sabnzbd.service
%defattr(-, sabnzbd, sabnzbd, -)
%{_sharedstatedir}/sabnzbd

%clean
rm -rf %{buildroot}

%pre
getent group sabnzbd > /dev/null || groupadd --system sabnzbd
getent passwd sabnzbd > /dev/null || \
  useradd --system --home-dir %{_sharedstatedir}/sabnzbd --gid sabnzbd \
  -s /sbin/nologin -c "sabnzbd daemon" sabnzbd
exit 0

%post
%systemd_post sabnzbd.service

%preun
%systemd_preun sabnzbd.service

%postun
%systemd_postun sabnzbd.service

%changelog
%autochangelog
